Debian Bug report logs - #428446
/usr/lib/ltsp/update-kernels wipes modified /opt/ltsp/i386/boot/pxelinux.cfg/default

version graph

Package: ltsp-client; Maintainer for ltsp-client is LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>; Source for ltsp-client is src:ltsp.

Reported by: Jan Wagner <waja@cyconet.org>

Date: Mon, 11 Jun 2007 19:36:01 UTC

Severity: wishlist

Found in version ltsp/0.99debian11

Fixed in version ltsp/5.0.8debian3

Done: Vagrant Cascadian <vagrant@freegeek.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>:
Bug#428446; Package ltsp-client. Full text and rfc822 format available.

Acknowledgement sent to Jan Wagner <waja@cyconet.org>:
New Bug report received and forwarded. Copy sent to LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jan Wagner <waja@cyconet.org>
To: submit@bugs.debian.org
Subject: /usr/lib/ltsp/update-kernels wipes modified /opt/ltsp/i386/boot/pxelinux.cfg/default
Date: Mon, 11 Jun 2007 21:25:52 +0200
[Message part 1 (text/plain, inline)]
Package: ltsp-client
Version: 0.99debian11
Severity: serious

--- Please enter the report below this line. ---

Hi,

I did modify my /opt/ltsp/i386/boot/pxelinux.cfg/default, cause my setup was 
only running with adding "nfsroot=/opt/ltsp/i386" to boot parameters.

After running /usr/sbin/ltsp-update-kernels, /usr/lib/ltsp/update-kernels is 
writing new /boot/pxelinux.cfg/default inside the chroot. Maybe the user 
modifications should considered anyhow.

In my case, the following patch fixed my problem, maybe adding "nfsroot" will 
be a good idea anyways.

With kind regards, Jan.
[nfsroot.patch (text/x-diff, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>:
Bug#428446; Package ltsp-client. Full text and rfc822 format available.

Acknowledgement sent to Jan Wagner <waja@cyconet.org>:
Extra info received and forwarded to list. Copy sent to LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 428446@bugs.debian.org (full text, mbox):

From: Jan Wagner <waja@cyconet.org>
To: pkg-ltsp-devel@lists.alioth.debian.org
Cc: 428446@bugs.debian.org
Subject: Re: [Pkg-ltsp-devel] Bug#428446: /usr/lib/ltsp/update-kernels wipes modified /opt/ltsp/i386/boot/pxelinux.cfg/default
Date: Tue, 12 Jun 2007 13:29:35 +0200
[Message part 1 (text/plain, inline)]
Hi Oliver,

On Tuesday 12 June 2007 13:21, Oliver Grawert wrote:
> nfsroot isnt needed for anyone else on debian or ubuntu, why did you
> need it seems your dhcp setup is broken or you run two dhcp servers in
> the same network segment or so.

I've one dhcp server, but making addition options available via config file 
should be not tricky and it benefits much.

> overriding ltsp-update-kernel defaults should happen in its config file,
> not in the code ;) see /etc/ltsp/ltsp-update-kernels.conf

# locate ltsp-update-kernels.conf
#

Can't find this file neither on the hostsystem nor in the ltsp chroot.

With kind regards, Jan.
-- 
Never write mail to <waja@spamfalle.info>, you have been warned!
-----BEGIN GEEK CODE BLOCK-----
Version: 3.1
GIT d-- s+: a- C+++ UL++++ P+ L+++ E- W+++ N+++ o++ K++ w--- O M V- PS PE
Y++ PGP++ t-- 5 X R tv- b+ DI- D++ G++ e++ h-- r+++ y+++
------END GEEK CODE BLOCK------
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>:
Bug#428446; Package ltsp-client. Full text and rfc822 format available.

Acknowledgement sent to vagrant@freegeek.org:
Extra info received and forwarded to list. Copy sent to LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 428446@bugs.debian.org (full text, mbox):

From: vagrant@freegeek.org
To: Jan Wagner <waja@cyconet.org>
Cc: 428446@bugs.debian.org
Subject: Re: [Pkg-ltsp-devel] Bug#428446: /usr/lib/ltsp/update-kernels?wipes modified /opt/ltsp/i386/boot/pxelinux.cfg/default
Date: Wed, 13 Jun 2007 13:55:40 -0700
serverity 428446 wishlist
thanks

On Tue, Jun 12, 2007 at 01:29:35PM +0200, Jan Wagner wrote:
> On Tuesday 12 June 2007 13:21, Oliver Grawert wrote:
> > nfsroot isnt needed for anyone else on debian or ubuntu, why did you
> > need it seems your dhcp setup is broken or you run two dhcp servers in
> > the same network segment or so.
> 
> I've one dhcp server, but making addition options available via config file 
> should be not tricky and it benefits much.
> 
> > overriding ltsp-update-kernel defaults should happen in its config file,
> > not in the code ;) see /etc/ltsp/ltsp-update-kernels.conf
> 
> # locate ltsp-update-kernels.conf
> #
> 
> Can't find this file neither on the hostsystem nor in the ltsp chroot.

yes, /etc/ltsp/ltsp-update-kernels.conf is not created by default. in
it, you can include things like:

export BOOTPROMPT_OPTS="root=/dev/nfs ip=dhcp nfsroot=/opt/ltsp/i386"

this should then behave the way you would like- simply re-running
ltsp-update-kernels will then add whatever options you specify.


another option is to configure dhcp to point to a different pxelinux
menu, like so:

    filename "/pxelinux.0";

copy a pxelinux.0 to /var/lib/tftpboot/ , and configure
/var/lib/tftpboot/pxelinux.cfg/default however you want:

DEFAULT /ltsp/i386/vmlinuz ro initrd=/ltsp/i386/initrd.img root=/dev/nfs ip=dhcp nfsroot=/opt/ltsp/i386

this will also allow you to specify other boot menu entries, such as
allowing for a debian-installer netboot images or FAI or whatever you
want.


i would like to create more flexible menu generation in the future, and
briefly discussed it with other LTSP folks at the ubuntu developer
summit a few weeks ago:

 https://wiki.ubuntu.com/NetworkBootMenu


downgraded the severity of this bug- hope some of these ideas work for
you.

thanks for reporting the issue. it's been on my mental TODO list for a
while now.

live well,
  vagrant



Severity set to `wishlist' from `serious' Request was from vagrant@freegeek.org to control@bugs.debian.org. (Thu, 14 Jun 2007 10:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>:
Bug#428446; Package ltsp-client. Full text and rfc822 format available.

Acknowledgement sent to Jan Wagner <waja@cyconet.org>:
Extra info received and forwarded to list. Copy sent to LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #22 received at 428446@bugs.debian.org (full text, mbox):

From: Jan Wagner <waja@cyconet.org>
To: vagrant@freegeek.org
Cc: 428446@bugs.debian.org
Subject: Re: [Pkg-ltsp-devel] Bug#428446: /usr/lib/ltsp/update-kernels?wipes modified /opt/ltsp/i386/boot/pxelinux.cfg/default
Date: Sun, 17 Jun 2007 17:02:51 +0200
[Message part 1 (text/plain, inline)]
On Wednesday 13 June 2007 22:55, vagrant@freegeek.org wrote:
> yes, /etc/ltsp/ltsp-update-kernels.conf is not created by default. in
> it, you can include things like:
>
> export BOOTPROMPT_OPTS="root=/dev/nfs ip=dhcp nfsroot=/opt/ltsp/i386"
>
> this should then behave the way you would like- simply re-running
> ltsp-update-kernels will then add whatever options you specify.

Hi Vagrant,

this works well, but is this anywhere documented? :)

With kind regards, Jan.
[Message part 2 (application/pgp-signature, inline)]

Tags added: pending Request was from vagrant@freegeek.org to control@bugs.debian.org. (Tue, 07 Aug 2007 22:17:43 GMT) Full text and rfc822 format available.

Reply sent to Vagrant Cascadian <vagrant@freegeek.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jan Wagner <waja@cyconet.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 428446-close@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@freegeek.org>
To: 428446-close@bugs.debian.org
Subject: Bug#428446: fixed in ltsp 5.0.8debian3
Date: Mon, 13 Aug 2007 12:17:02 +0000
Source: ltsp
Source-Version: 5.0.8debian3

We believe that the bug you reported is fixed in the latest version of
ltsp, which is due to be installed in the Debian FTP archive:

ldm_5.0.8debian3_all.deb
  to pool/main/l/ltsp/ldm_5.0.8debian3_all.deb
ltsp-client-builder_5.0.8debian3_all.udeb
  to pool/main/l/ltsp/ltsp-client-builder_5.0.8debian3_all.udeb
ltsp-client-core_5.0.8debian3_i386.deb
  to pool/main/l/ltsp/ltsp-client-core_5.0.8debian3_i386.deb
ltsp-client_5.0.8debian3_all.deb
  to pool/main/l/ltsp/ltsp-client_5.0.8debian3_all.deb
ltsp-server-standalone_5.0.8debian3_all.deb
  to pool/main/l/ltsp/ltsp-server-standalone_5.0.8debian3_all.deb
ltsp-server_5.0.8debian3_all.deb
  to pool/main/l/ltsp/ltsp-server_5.0.8debian3_all.deb
ltsp_5.0.8debian3.dsc
  to pool/main/l/ltsp/ltsp_5.0.8debian3.dsc
ltsp_5.0.8debian3.tar.gz
  to pool/main/l/ltsp/ltsp_5.0.8debian3.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 428446@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vagrant Cascadian <vagrant@freegeek.org> (supplier of updated ltsp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 12 Aug 2007 10:31:14 -0700
Source: ltsp
Binary: ltsp-client-core ltsp-server ltsp-server-standalone ltsp-client ltsp-client-builder ldm
Architecture: source all i386
Version: 5.0.8debian3
Distribution: unstable
Urgency: low
Maintainer: LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
Changed-By: Vagrant Cascadian <vagrant@freegeek.org>
Description: 
 ldm        - LTSP display manager
 ltsp-client - LTSP client environment
 ltsp-client-builder - build an LTSP environment in the installer target (udeb)
 ltsp-client-core - LTSP client environment
 ltsp-server - basic LTSP server environment
 ltsp-server-standalone - complete LTSP server environment
Closes: 428446 430074 430853 431654 431668 431669 431744 431790 431955 431978 432211 432226 433619 434048 434600 434611 434612 434683 434810 434834 434849 435570 435571 435821 436283 436856
Changes: 
 ltsp (5.0.8debian3) unstable; urgency=low
 .
   [ Christian Perrier ]
   * Debconf templates and debian/control reviewed by the debian-l10n-
     english team as part of the Smith review project. Closes: #434048
   * Debconf translation updates:
     - French. Closes: #434600, #431978
     - Swedish. Closes: #434611
     - Basque. Closes: #434612, #431669
     - Portuguese. Closes: #434683, #431790
     - Catalan. Closes: #434810, #430853
     - Vietnamese. Closes: #434834, #431654
     - Galician. Closes: #434849, #431744
     - Bulgarian. Closes: #433619, #431955
     - Russian. Closes: #435570, 435571, #432226
     - German. Closes: #435821, #431668
 .
     - Czech. Closes: #436283, #432211
     - Dutch. Closes: #436856
 .
   [ Vagrant Cascadian ]
   * apply patch by Teddy Hogeborn for the gtk greeter to display more locales
     (Closes: #430074)
   * added notes for modifying boot prompt options (Closes: #428446)
   * move suggestion for joystick from ltsp-client to ltsp-client-core
   * make cryptsetup an ltsp-client dependency
   * add suggests for ltsp-client-core on all packages depended on by
     ltsp-client
Files: 
 260202363785dc562cefdc8fa076adf2 957 misc extra ltsp_5.0.8debian3.dsc
 8e7c818da913a5f0a64995b3ccd9a951 274125 misc extra ltsp_5.0.8debian3.tar.gz
 17ee198c9522073772ae270f89ad3d3e 66208 misc extra ltsp-server_5.0.8debian3_all.deb
 8d79932655b5d2d8b677d6c910fd2446 30906 misc extra ltsp-server-standalone_5.0.8debian3_all.deb
 4229ea5878c0fce51349fd8826ad972e 30054 misc extra ltsp-client_5.0.8debian3_all.deb
 93848b60bae3d6065ef0201564474eb1 190600 misc extra ldm_5.0.8debian3_all.deb
 3cfc447ae15c6061345928d41c686d93 6316 debian-installer extra ltsp-client-builder_5.0.8debian3_all.udeb
 5141761df66f07ca4512681e4f74589f 61446 misc extra ltsp-client-core_5.0.8debian3_i386.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGwEruLqiZQEml+FURAhdqAJ4lfHzSyq28O5/qwpg8cy/fd2jDrACeM3/N
Rx04gRRXUQknLFrG/QfuqZQ=
=SJxH
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 Sep 2007 07:28:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:23:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.